// REVISION    : $Revision: 1.4 $
// Mentor Graphics Corporation Proprietary and Confidential
// Copyright 2007 Mentor Graphics Corporation and Licensors
`timescale 1ps/1ps
module
CoreTSE_M2S090_CORETSE_AHB_0_PETBM
#
(
parameter
FAMILY
=
19
,
parameter
CORETSEI
=
1
'b
0
)
(
CORETSEI110
,
CORETSEl110
,
CORETSEo110
,
CORETSEi110
,
CORETSEOIi0
,
CORETSEoIo0
,
CORETSEOio0
,
CORETSEiIo0
,
CORETSEOlo0
,
CORETSEIlo0
,
CORETSEllo0
,
CORETSEolo0
,
CORETSEOo10
,
CORETSEoo10
,
CORETSEOlOI
,
CORETSEilo0
,
CORETSEiI
,
CORETSEO0o0
,
CORETSEI0o0
,
CORETSEIl
,
CORETSEl0o0
,
CORETSEi0o0
,
CORETSEo0o0
,
CORETSEO1o0
,
CORETSEI1o0
,
CORETSEl1o0
,
CORETSEo1o0
,
CORETSEO0II
,
CORETSEi1o0
,
CORETSEOoo0
,
CORETSEiIOI
,
CORETSEIoo0
,
CORETSEoOi0
,
CORETSEloo0
,
CORETSEllII
,
CORETSEio10
,
CORETSEIi10
,
CORETSEiIII
,
CORETSEiOOI
,
CORETSEIIi0
)
;
input
CORETSEI110
;
input
CORETSEl110
;
input
CORETSEo110
;
input
CORETSEi110
;
input
CORETSEOIi0
;
input
CORETSEoIo0
;
input
CORETSEOio0
;
input
CORETSEiIo0
;
input
[
15
:
0
]
CORETSEOlo0
;
input
[
15
:
0
]
CORETSEIlo0
;
input
CORETSEllo0
;
input
CORETSEolo0
;
input
[
4
:
0
]
CORETSEOo10
;
output
CORETSEoo10
;
output
CORETSEOlOI
;
output
CORETSEilo0
;
output
[
1
:
0
]
CORETSEiI
;
output
CORETSEO0o0
;
output
CORETSEI0o0
;
output
CORETSEIl
;
output
[
15
:
0
]
CORETSEl0o0
;
output
CORETSEi0o0
;
output
[
15
:
0
]
CORETSEo0o0
;
output
CORETSEO1o0
;
output
CORETSEI1o0
;
output
CORETSEl1o0
;
output
CORETSEo1o0
;
output
[
2
:
0
]
CORETSEO0II
;
output
[
9
:
0
]
CORETSEi1o0
;
output
CORETSEOoo0
;
output
CORETSEiIOI
;
output
CORETSEIoo0
;
output
CORETSEoOi0
;
output
CORETSEloo0
;
output
CORETSEllII
;
output
CORETSEio10
;
output
CORETSEIi10
;
output
CORETSEiIII
;
output
CORETSEiOOI
;
output
CORETSEIIi0
;
wire
CORETSEoo10
;
reg
CORETSEOlOI
;
reg
CORETSEilo0
;
reg
[
1
:
0
]
CORETSEiI
;
reg
CORETSEO0o0
;
reg
CORETSEI0o0
;
reg
CORETSEIl
;
reg
[
15
:
0
]
CORETSEl0o0
;
reg
[
15
:
0
]
CORETSEo0o0
;
wire
CORETSEi0o0
;
wire
CORETSEO1o0
;
reg
CORETSEI1o0
;
reg
CORETSEl1o0
;
reg
CORETSEo1o0
;
reg
[
2
:
0
]
CORETSEO0II
;
reg
[
9
:
0
]
CORETSEi1o0
;
reg
CORETSEOoo0
;
reg
CORETSEiIOI
;
reg
CORETSEIoo0
;
reg
CORETSEoOi0
;
reg
CORETSEloo0
;
reg
CORETSEllII
;
reg
CORETSEio10
;
reg
CORETSEIi10
;
reg
CORETSEiIII
;
reg
CORETSEiOOI
;
reg
CORETSEIIi0
;
parameter
CORETSEOII
=
1
;
reg
CORETSEoo1o
;
wire
CORETSEio1o
;
reg
CORETSEoli1
;
wire
[
5
:
0
]
CORETSEOi1o
;
reg
[
5
:
0
]
CORETSEIi1o
;
wire
CORETSEli1o
;
reg
CORETSEoi1o
;
wire
CORETSEii1o
;
reg
CORETSEOOoo
;
wire
CORETSEIOoo
;
wire
[
4
:
0
]
CORETSElOoo
;
reg
[
4
:
0
]
CORETSEoOoo
;
wire
CORETSEiOoo
;
wire
[
4
:
0
]
CORETSEOIoo
;
reg
[
4
:
0
]
CORETSEIIoo
;
wire
CORETSElIoo
;
reg
CORETSEoIoo
;
wire
[
15
:
0
]
CORETSEiIoo
;
reg
[
15
:
0
]
CORETSEOloo
;
reg
CORETSEIloo
,
CORETSElloo
,
CORETSEoloo
;
reg
CORETSEiloo
,
CORETSEO0oo
,
CORETSEI0oo
;
wire
[
15
:
0
]
CORETSEl0oo
,
CORETSEo0oo
;
reg
[
15
:
0
]
CORETSEi0oo
;
wire
CORETSEO1oo
,
CORETSEI1oo
,
CORETSEl1oo
,
CORETSEo1oo
,
CORETSEi1oo
;
wire
CORETSEOooo
,
CORETSEIooo
,
CORETSElooo
,
CORETSEoooo
,
CORETSEiooo
;
wire
CORETSEOioo
,
CORETSEIioo
,
CORETSElioo
,
CORETSEoioo
,
CORETSEiioo
;
wire
CORETSEOOio
,
CORETSEIOio
,
CORETSElOio
,
CORETSEoOio
,
CORETSEiOio
;
wire
CORETSEOIio
;
reg
CORETSEIIio
;
wire
CORETSElIio
;
wire
CORETSElo1
;
wire
CORETSEoo1
;
assign
CORETSElo1
=
(
FAMILY
==
25
)
?
1
'b
0
:
CORETSEOIi0
;
assign
CORETSEoo1
=
(
FAMILY
==
25
)
?
CORETSEOIi0
:
1
'b
0
;
always
@
(
posedge
CORETSEI110
or
posedge
CORETSElo1
)
begin
if
(
CORETSElo1
||
CORETSEoo1
)
CORETSEoo1o
<=
#
CORETSEOII
1
'h
0
;
else
CORETSEoo1o
<=
#
CORETSEOII
CORETSEl110
;
end
assign
CORETSEio1o
=
~
CORETSEoli1
&
CORETSEo110
&
CORETSEl110
&
~
CORETSEoo1o
|
CORETSEoli1
&
CORETSEo110
;
always
@
(
posedge
CORETSEI110
or
posedge
CORETSElo1
)
begin
if
(
CORETSElo1
||
CORETSEoo1
)
CORETSEoli1
<=
#
CORETSEOII
1
'h
0
;
else
CORETSEoli1
<=
#
CORETSEOII
CORETSEio1o
;
end
assign
CORETSEOi1o
=
{
6
{
CORETSEoli1
&
CORETSEIi1o
<
6
'h
1e
}
}
&
CORETSEIi1o
+
6
'h
1
|
{
6
{
CORETSEoIoo
&
CORETSEIi1o
<
6
'h
1e
}
}
&
CORETSEIi1o
+
6
'h
1
;
always
@
(
posedge
CORETSEI110
or
posedge
CORETSElo1
)
begin
if
(
CORETSElo1
||
CORETSEoo1
)
CORETSEIi1o
[
5
:
0
]
<=
#
CORETSEOII
6
'h
0
;
else
CORETSEIi1o
[
5
:
0
]
<=
#
CORETSEOII
CORETSEOi1o
[
5
:
0
]
;
end
assign
CORETSEli1o
=
~
CORETSEoi1o
&
CORETSEIi1o
==
6
'h
1
&
~
CORETSEl110
&
CORETSEoo1o
|
CORETSEoi1o
&
CORETSEoli1
|
CORETSEoi1o
&
CORETSEoIoo
;
always
@
(
posedge
CORETSEI110
or
posedge
CORETSElo1
)
begin
if
(
CORETSElo1
||
CORETSEoo1
)
CORETSEoi1o
<=
#
CORETSEOII
1
'h
0
;
else
CORETSEoi1o
<=
#
CORETSEOII
CORETSEli1o
;
end
assign
CORETSEii1o
=
~
CORETSEOOoo
&
CORETSEIi1o
==
6
'h
1
&
CORETSEl110
&
~
CORETSEoo1o
|
CORETSEOOoo
&
CORETSEo110
;
always
@
(
posedge
CORETSEI110
or
posedge
CORETSElo1
)
begin
if
(
CORETSElo1
||
CORETSEoo1
)
CORETSEOOoo
<=
#
CORETSEOII
1
'h
0
;
else
CORETSEOOoo
<=
#
CORETSEOII
CORETSEii1o
;
end
assign
CORETSEIOoo
=
(
CORETSEoi1o
|
CORETSEOOoo
)
&
CORETSEIi1o
[
5
:
0
]
>=
6
'h
2
&
CORETSEIi1o
[
5
:
0
]
<=
6
'h
6
;
assign
CORETSElOoo
=
{
5
{
CORETSEIOoo
}
}
&
{
CORETSEoOoo
[
3
:
0
]
,
CORETSEl110
}
|
{
5
{
~
CORETSEIOoo
}
}
&
CORETSEoOoo
[
4
:
0
]
;
always
@
(
posedge
CORETSEI110
or
posedge
CORETSElo1
)
begin
if
(
CORETSElo1
||
CORETSEoo1
)
CORETSEoOoo
[
4
:
0
]
<=
#
CORETSEOII
5
'h
0
;
else
CORETSEoOoo
[
4
:
0
]
<=
#
CORETSEOII
CORETSElOoo
[
4
:
0
]
;
end
assign
CORETSEiOoo
=
(
CORETSEoi1o
|
CORETSEOOoo
)
&
CORETSEIi1o
[
5
:
0
]
>=
6
'h
7
&
CORETSEIi1o
[
5
:
0
]
<=
6
'h
b
;
assign
CORETSEOIoo
=
{
5
{
CORETSEiOoo
}
}
&
{
CORETSEIIoo
[
3
:
0
]
,
CORETSEl110
}
|
{
5
{
~
CORETSEiOoo
}
}
&
CORETSEIIoo
[
4
:
0
]
;
always
@
(
posedge
CORETSEI110
or
posedge
CORETSElo1
)
begin
if
(
CORETSElo1
||
CORETSEoo1
)
CORETSEIIoo
[
4
:
0
]
<=
#
CORETSEOII
5
'h
0
;
else
CORETSEIIoo
[
4
:
0
]
<=
#
CORETSEOII
CORETSEOIoo
[
4
:
0
]
;
end
assign
CORETSElIoo
=
~
CORETSEoIoo
&
CORETSEoi1o
&
CORETSEIi1o
==
6
'h
c
&
~
CORETSEo110
|
CORETSEoIoo
&
CORETSEIi1o
>
6
'h
c
&
CORETSEIi1o
<
6
'h
1e
;
always
@
(
posedge
CORETSEI110
or
posedge
CORETSElo1
)
begin
if
(
CORETSElo1
||
CORETSEoo1
)
CORETSEoIoo
<=
#
CORETSEOII
1
'h
0
;
else
CORETSEoIoo
<=
#
CORETSEOII
CORETSElIoo
;
end
assign
CORETSEiIoo
=
{
16
{
CORETSEIi1o
>
6
'h
d
&
CORETSEOOoo
&
CORETSEo110
}
}
&
{
CORETSEOloo
[
14
:
0
]
,
CORETSEl110
}
;
always
@
(
posedge
CORETSEI110
or
posedge
CORETSElo1
)
begin
if
(
CORETSElo1
||
CORETSEoo1
)
CORETSEOloo
<=
#
CORETSEOII
16
'h
0
;
else
CORETSEOloo
<=
#
CORETSEOII
CORETSEiIoo
;
end
assign
CORETSEl0oo
=
{
16
{
CORETSEOioo
}
}
&
{
CORETSEOlOI
,
CORETSEilo0
,
CORETSEiI
[
0
]
,
CORETSEO0o0
,
1
'b
0
,
1
'b
0
,
CORETSEI0o0
,
CORETSEIl
,
1
'b
0
,
CORETSEiI
[
1
]
,
1
'b
0
,
1
'b
0
,
1
'b
0
,
1
'b
0
,
1
'b
0
,
1
'b
0
}
|
{
16
{
CORETSEIioo
}
}
&
{
4
'h
0
,
1
'h
0
,
1
'h
0
,
1
'h
0
,
1
'b
1
,
1
'h
0
,
1
'b
1
,
CORETSEoIo0
,
CORETSEOio0
,
1
'b
1
,
CORETSEiIo0
,
1
'h
0
,
1
'b
1
}
|
{
16
{
CORETSElioo
}
}
&
CORETSEl0o0
[
15
:
0
]
|
{
16
{
CORETSEoioo
}
}
&
CORETSEOlo0
[
15
:
0
]
|
{
16
{
CORETSEiioo
}
}
&
{
13
'h
0
,
1
'b
1
,
CORETSEllo0
,
1
'b
0
}
|
{
16
{
CORETSEOOio
}
}
&
CORETSEo0o0
[
15
:
0
]
|
{
16
{
CORETSEIOio
}
}
&
CORETSEIlo0
[
15
:
0
]
|
{
16
{
CORETSElOio
}
}
&
16
'h
a000
|
{
16
{
CORETSEoOio
}
}
&
{
CORETSEo1o0
,
CORETSEO0II
,
1
'b
0
,
1
'b
0
,
CORETSEi1o0
}
|
{
16
{
CORETSEiOio
}
}
&
{
CORETSEiIOI
,
CORETSEIoo0
,
CORETSEloo0
,
CORETSEllII
,
CORETSEoOi0
,
1
'b
0
,
1
'b
0
,
CORETSEOoo0
,
1
'b
0
,
CORETSEIIi0
,
CORETSEiOOI
,
CORETSEiIII
,
1
'b
0
,
1
'b
0
,
CORETSEio10
,
CORETSEIi10
}
;
assign
CORETSEo0oo
=
{
16
{
CORETSEIi1o
==
6
'h
d
&
CORETSEoIoo
}
}
&
{
CORETSEl0oo
[
15
:
0
]
}
|
{
16
{
CORETSEIi1o
>
6
'h
d
&
CORETSEoIoo
}
}
&
{
CORETSEi0oo
[
14
:
0
]
,
1
'b
0
}
;
always
@
(
posedge
CORETSEI110
or
posedge
CORETSElo1
)
begin
if
(
CORETSElo1
||
CORETSEoo1
)
CORETSEi0oo
<=
#
CORETSEOII
16
'h
0
;
else
CORETSEi0oo
<=
#
CORETSEOII
CORETSEo0oo
;
end
assign
CORETSEoo10
=
(
(
CORETSEoOoo
[
4
:
0
]
==
CORETSEOo10
[
4
:
0
]
)
&
CORETSEoIoo
&
CORETSEIi1o
==
6
'h
d
)
&
CORETSEo110
|
(
(
CORETSEoOoo
[
4
:
0
]
==
CORETSEOo10
[
4
:
0
]
)
&
CORETSEoIoo
&
CORETSEIi1o
>
6
'h
d
)
&
CORETSEi0oo
[
15
]
|
~
(
(
CORETSEoOoo
[
4
:
0
]
==
CORETSEOo10
[
4
:
0
]
)
&
CORETSEoIoo
&
CORETSEIi1o
>=
6
'h
d
)
&
CORETSEi110
;
assign
CORETSEO1oo
=
CORETSEoOoo
[
4
:
0
]
==
CORETSEOo10
[
4
:
0
]
&
CORETSEIIoo
[
4
:
0
]
==
5
'h
00
&
CORETSEOOoo
&
CORETSEIi1o
==
6
'h
1e
;
assign
CORETSEOioo
=
CORETSEoOoo
[
4
:
0
]
==
CORETSEOo10
[
4
:
0
]
&
CORETSEIIoo
[
4
:
0
]
==
5
'h
00
&
CORETSEoi1o
&
CORETSEIi1o
==
6
'h
d
;
always
@
(
posedge
CORETSEI110
or
posedge
CORETSElo1
)
begin
if
(
CORETSElo1
||
CORETSEoo1
)
CORETSEIloo
<=
#
CORETSEOII
1
'b
0
;
else
CORETSEIloo
<=
#
CORETSEOII
CORETSEO1oo
&
CORETSEOloo
[
15
]
|
CORETSEIloo
&
~
CORETSEOlOI
;
end
always
@
(
posedge
CORETSEI110
or
posedge
CORETSElo1
)
begin
if
(
CORETSElo1
||
CORETSEoo1
)
{
CORETSEilo0
,
CORETSEiI
[
0
]
,
CORETSEO0o0
,
CORETSEIl
,
CORETSEiI
[
1
]
}
<=
#
CORETSEOII
5
'h
0
;
else
if
(
CORETSEO1oo
)
{
CORETSEilo0
,
CORETSEiI
[
0
]
,
CORETSEO0o0
,
CORETSEIl
,
CORETSEiI
[
1
]
}
<=
#
CORETSEOII
{
CORETSEOloo
[
14
:
12
]
,
CORETSEOloo
[
8
]
,
CORETSEOloo
[
6
]
}
;
end
always
@
(
posedge
CORETSEI110
or
posedge
CORETSElo1
)
begin
if
(
CORETSElo1
||
CORETSEoo1
)
CORETSEiloo
<=
#
CORETSEOII
1
'b
0
;
else
CORETSEiloo
<=
#
CORETSEOII
CORETSEO1oo
&
CORETSEOloo
[
9
]
|
CORETSEiloo
&
~
CORETSEI0o0
;
end
always
@
(
posedge
CORETSEI110
or
posedge
CORETSElo1
)
begin
if
(
CORETSElo1
||
CORETSEoo1
)
CORETSElloo
<=
#
CORETSEOII
1
'h
0
;
else
CORETSElloo
<=
#
CORETSEOII
CORETSEIloo
;
end
always
@
(
posedge
CORETSEI110
or
posedge
CORETSElo1
)
begin
if
(
CORETSElo1
||
CORETSEoo1
)
CORETSEoloo
<=
#
CORETSEOII
1
'h
0
;
else
CORETSEoloo
<=
#
CORETSEOII
CORETSEIloo
|
CORETSElloo
;
end
always
@
(
posedge
CORETSEI110
or
posedge
CORETSElo1
)
begin
if
(
CORETSElo1
||
CORETSEoo1
)
CORETSEOlOI
<=
#
CORETSEOII
1
'h
0
;
else
CORETSEOlOI
<=
#
CORETSEOII
CORETSEoloo
;
end
always
@
(
posedge
CORETSEI110
or
posedge
CORETSElo1
)
begin
if
(
CORETSElo1
||
CORETSEoo1
)
CORETSEO0oo
<=
#
CORETSEOII
1
'h
0
;
else
CORETSEO0oo
<=
#
CORETSEOII
CORETSEiloo
;
end
always
@
(
posedge
CORETSEI110
or
posedge
CORETSElo1
)
begin
if
(
CORETSElo1
||
CORETSEoo1
)
CORETSEI0oo
<=
#
CORETSEOII
1
'h
0
;
else
CORETSEI0oo
<=
#
CORETSEOII
CORETSEiloo
|
CORETSEO0oo
;
end
always
@
(
posedge
CORETSEI110
or
posedge
CORETSElo1
)
begin
if
(
CORETSElo1
||
CORETSEoo1
)
CORETSEI0o0
<=
#
CORETSEOII
1
'h
0
;
else
CORETSEI0o0
<=
#
CORETSEOII
CORETSEI0oo
;
end
assign
CORETSEI1oo
=
CORETSEoOoo
[
4
:
0
]
==
CORETSEOo10
[
4
:
0
]
&
CORETSEIIoo
[
4
:
0
]
==
5
'h
01
&
CORETSEOOoo
&
CORETSEIi1o
==
6
'h
1e
;
assign
CORETSEIioo
=
CORETSEoOoo
[
4
:
0
]
==
CORETSEOo10
[
4
:
0
]
&
CORETSEIIoo
[
4
:
0
]
==
5
'h
01
&
CORETSEoi1o
&
CORETSEIi1o
==
6
'h
d
;
assign
CORETSEl1oo
=
CORETSEoOoo
[
4
:
0
]
==
CORETSEOo10
[
4
:
0
]
&
CORETSEIIoo
[
4
:
0
]
==
5
'h
04
&
CORETSEOOoo
&
CORETSEIi1o
==
6
'h
1e
;
assign
CORETSElioo
=
CORETSEoOoo
[
4
:
0
]
==
CORETSEOo10
[
4
:
0
]
&
CORETSEIIoo
[
4
:
0
]
==
5
'h
04
&
CORETSEoi1o
&
CORETSEIi1o
==
6
'h
d
;
assign
CORETSEi0o0
=
CORETSEoOoo
[
4
:
0
]
==
CORETSEOo10
[
4
:
0
]
&
CORETSEIIoo
[
4
:
0
]
==
5
'h
04
&
CORETSEOOoo
&
CORETSEIi1o
==
6
'h
1e
;
always
@
(
posedge
CORETSEI110
or
posedge
CORETSElo1
)
begin
if
(
CORETSElo1
||
CORETSEoo1
)
CORETSEl0o0
<=
#
CORETSEOII
16
'h
0
;
else
if
(
CORETSEl1oo
)
CORETSEl0o0
<=
#
CORETSEOII
CORETSEOloo
;
end
always
@
(
posedge
CORETSEI110
or
posedge
CORETSElo1
)
begin
if
(
CORETSElo1
||
CORETSEoo1
)
CORETSEl1o0
<=
#
CORETSEOII
1
'b
0
;
else
if
(
CORETSEOooo
)
CORETSEl1o0
<=
#
CORETSEOII
1
'b
1
;
else
if
(
CORETSEolo0
)
CORETSEl1o0
<=
#
CORETSEOII
1
'b
0
;
end
assign
CORETSEo1oo
=
CORETSEoOoo
[
4
:
0
]
==
CORETSEOo10
[
4
:
0
]
&
CORETSEIIoo
[
4
:
0
]
==
5
'h
05
&
CORETSEOOoo
&
CORETSEIi1o
==
6
'h
1e
;
assign
CORETSEoioo
=
CORETSEoOoo
[
4
:
0
]
==
CORETSEOo10
[
4
:
0
]
&
CORETSEIIoo
[
4
:
0
]
==
5
'h
05
&
CORETSEoi1o
&
CORETSEIi1o
==
6
'h
d
;
assign
CORETSEi1oo
=
CORETSEoOoo
[
4
:
0
]
==
CORETSEOo10
[
4
:
0
]
&
CORETSEIIoo
[
4
:
0
]
==
5
'h
06
&
CORETSEOOoo
&
CORETSEIi1o
==
6
'h
1e
;
assign
CORETSEiioo
=
CORETSEoOoo
[
4
:
0
]
==
CORETSEOo10
[
4
:
0
]
&
CORETSEIIoo
[
4
:
0
]
==
5
'h
06
&
CORETSEoi1o
&
CORETSEIi1o
==
6
'h
d
;
assign
CORETSEOIio
=
CORETSEllo0
&
CORETSEiioo
|
CORETSEIIio
&
~
CORETSEiioo
;
always
@
(
posedge
CORETSEI110
or
posedge
CORETSElo1
)
begin
if
(
CORETSElo1
||
CORETSEoo1
)
CORETSEIIio
<=
#
CORETSEOII
1
'b
0
;
else
CORETSEIIio
<=
#
CORETSEOII
CORETSEOIio
;
end
assign
CORETSElIio
=
CORETSEllo0
&
CORETSEiioo
;
always
@
(
posedge
CORETSEI110
or
posedge
CORETSElo1
)
begin
if
(
CORETSElo1
||
CORETSEoo1
)
CORETSEI1o0
<=
#
CORETSEOII
1
'b
0
;
else
CORETSEI1o0
<=
#
CORETSEOII
CORETSElIio
;
end
assign
CORETSEOooo
=
CORETSEoOoo
[
4
:
0
]
==
CORETSEOo10
[
4
:
0
]
&
CORETSEIIoo
[
4
:
0
]
==
5
'h
07
&
CORETSEOOoo
&
CORETSEIi1o
==
6
'h
1e
;
assign
CORETSEOOio
=
CORETSEoOoo
[
4
:
0
]
==
CORETSEOo10
[
4
:
0
]
&
CORETSEIIoo
[
4
:
0
]
==
5
'h
07
&
CORETSEoi1o
&
CORETSEIi1o
==
6
'h
d
;
assign
CORETSEO1o0
=
CORETSEoOoo
[
4
:
0
]
==
CORETSEOo10
[
4
:
0
]
&
CORETSEIIoo
[
4
:
0
]
==
5
'h
07
&
CORETSEOOoo
&
CORETSEIi1o
==
6
'h
1e
;
always
@
(
posedge
CORETSEI110
or
posedge
CORETSElo1
)
begin
if
(
CORETSElo1
||
CORETSEoo1
)
CORETSEo0o0
[
15
:
0
]
<=
#
CORETSEOII
16
'h
0
;
else
if
(
CORETSEOooo
)
CORETSEo0o0
[
15
:
0
]
<=
#
CORETSEOII
CORETSEOloo
[
15
:
0
]
;
end
assign
CORETSEIooo
=
CORETSEoOoo
[
4
:
0
]
==
CORETSEOo10
[
4
:
0
]
&
CORETSEIIoo
[
4
:
0
]
==
5
'h
08
&
CORETSEOOoo
&
CORETSEIi1o
==
6
'h
1e
;
assign
CORETSEIOio
=
CORETSEoOoo
[
4
:
0
]
==
CORETSEOo10
[
4
:
0
]
&
CORETSEIIoo
[
4
:
0
]
==
5
'h
08
&
CORETSEoi1o
&
CORETSEIi1o
==
6
'h
d
;
assign
CORETSElooo
=
CORETSEoOoo
[
4
:
0
]
==
CORETSEOo10
[
4
:
0
]
&
CORETSEIIoo
[
4
:
0
]
==
5
'h
0f
&
CORETSEOOoo
&
CORETSEIi1o
==
6
'h
1e
;
assign
CORETSElOio
=
CORETSEoOoo
[
4
:
0
]
==
CORETSEOo10
[
4
:
0
]
&
CORETSEIIoo
[
4
:
0
]
==
5
'h
0f
&
CORETSEoi1o
&
CORETSEIi1o
==
6
'h
d
;
assign
CORETSEoooo
=
CORETSEoOoo
[
4
:
0
]
==
CORETSEOo10
[
4
:
0
]
&
CORETSEIIoo
[
4
:
0
]
==
5
'h
10
&
CORETSEOOoo
&
CORETSEIi1o
==
6
'h
1e
;
assign
CORETSEoOio
=
CORETSEoOoo
[
4
:
0
]
==
CORETSEOo10
[
4
:
0
]
&
CORETSEIIoo
[
4
:
0
]
==
5
'h
10
&
CORETSEoi1o
&
CORETSEIi1o
==
6
'h
d
;
always
@
(
posedge
CORETSEI110
or
posedge
CORETSElo1
)
begin
if
(
CORETSElo1
||
CORETSEoo1
)
{
CORETSEo1o0
,
CORETSEO0II
,
CORETSEi1o0
}
<=
#
CORETSEOII
14
'h
0
;
else
if
(
CORETSEoooo
)
{
CORETSEo1o0
,
CORETSEO0II
,
CORETSEi1o0
}
<=
#
CORETSEOII
{
CORETSEOloo
[
15
]
,
CORETSEOloo
[
14
:
12
]
,
CORETSEOloo
[
9
:
0
]
}
;
end
assign
CORETSEiooo
=
CORETSEoOoo
[
4
:
0
]
==
CORETSEOo10
[
4
:
0
]
&
CORETSEIIoo
[
4
:
0
]
==
5
'h
11
&
CORETSEOOoo
&
CORETSEIi1o
==
6
'h
1e
;
assign
CORETSEiOio
=
CORETSEoOoo
[
4
:
0
]
==
CORETSEOo10
[
4
:
0
]
&
CORETSEIIoo
[
4
:
0
]
==
5
'h
11
&
CORETSEoi1o
&
CORETSEIi1o
==
6
'h
d
;
always
@
(
posedge
CORETSEI110
or
posedge
CORETSElo1
)
begin
if
(
CORETSElo1
||
CORETSEoo1
)
{
CORETSEiIOI
,
CORETSEIoo0
,
CORETSEloo0
,
CORETSEllII
,
CORETSEoOi0
,
CORETSEOoo0
,
CORETSEIIi0
,
CORETSEiOOI
,
CORETSEiIII
,
CORETSEio10
,
CORETSEIi10
}
<=
#
CORETSEOII
11
'h
0
;
else
if
(
CORETSEiooo
)
{
CORETSEiIOI
,
CORETSEIoo0
,
CORETSEloo0
,
CORETSEllII
,
CORETSEoOi0
,
CORETSEOoo0
,
CORETSEIIi0
,
CORETSEiOOI
,
CORETSEiIII
,
CORETSEio10
,
CORETSEIi10
}
<=
#
CORETSEOII
{
CORETSEOloo
[
15
:
12
]
,
CORETSEOloo
[
11
]
,
CORETSEOloo
[
8
]
,
CORETSEOloo
[
6
:
4
]
,
CORETSEOloo
[
1
:
0
]
}
;
end
endmodule
